import { MenuProductInfo } from './MenuProduct'

// 菜单分类表
export interface MenuCategory {
  id: number // 主键
  name: string // 分类名称
  logo: string // 分类Logo
  localLogo: string // 本地Logo路径
  description?: string // 分类描述
  createTime?: string // 创建时间
  updateTime?: string // 更新时间
  sort: number // 排序
  status: 'A' | 'D' // 状态 (A-Active, D-Deleted)
  products: MenuProductInfo[]
}
